import { cloneDeep } from '@terascope/utils';
export function iterateState(clusterState, cb) {
    // I clone here, because the code below accidentally modifies clusterState.
    // Not sure if this is the best choice.
    const state = cloneDeep(clusterState);
    return Object.values(state)
        .filter((node) => node.state === 'connected')
        .flatMap((node) => {
        const workers = node.active.filter(cb);
        return workers.map((worker) => {
            worker.node_id = node.node_id;
            worker.hostname = node.hostname;
            return worker;
        });
    });
}
export function findAllSlicers(clusterState) {
    return iterateState(clusterState, (worker) => worker.assignment === 'execution_controller');
}
export function findWorkersByExecutionID(clusterState, exId) {
    return iterateState(clusterState, (worker) => worker.assignment === 'worker' && worker.ex_id === exId);
}
export function findSlicersByExecutionID(clusterState, exIdDict) {
    return iterateState(clusterState, (worker) => worker.assignment === 'execution_controller' && exIdDict[worker.ex_id]);
}
//# sourceMappingURL=state-utils.js.map