import { trim, padEnd } from '@terascope/utils';
import { customAlphabet } from 'nanoid';
export function newId(prefix, lowerCase = false, length = 15) {
    let characters = '-0123456789abcdefghijklmnopqrstuvwxyz';
    if (!lowerCase) {
        characters += 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
    }
    let id = trim(customAlphabet(characters, length)(), '-');
    id = padEnd(id, length, 'abcdefghijklmnopqrstuvwxyz');
    if (prefix) {
        return `${prefix}-${id}`;
    }
    return id;
}
//# sourceMappingURL=id_utils.js.map